Subject: about the secrurity evalutaion in CGAs

From: [email-masked]
Date: Tue, 27 Mar 2012 14:11:54 +0100

In response to coments on draft draft-zhou-6man-mhash-cga-00 

It can be referred to RFC3972 section 7.2
"This increases the cost of address generation approximately by
   a factor of 2^(16*Sec).  It also increases the cost of brute-force
   attacks by the same factor.  That is, the cost of creating a CGA
   Parameters data structure that binds the attacker's public key with
   somebody else's address is increased from O(2^59) to
   O(2^(59+16*Sec)).  The address generator may choose the security
   parameter Sec depending on its own computational capacity, the
   perceived risk of attacks, and the expected lifetime of the address.
   Currently, Sec values between 0 and 2 are sufficient for most IPv6
   nodes.  As computers become faster, higher Sec values will slowly
   become useful.
"

Regards~~~

-Sujing Zhou